KEYBOXD(1)

NAME
keyboxd - Public key management for GnuPG

SYNOPSIS
keyboxd [OPTIONS] [COMMAND]

DESCRIPTION
keyboxd is a public key management service for GnuPG.

COMMANDS
Commands are not distinguished from options except for the fact that only one command is allowed.

--version
    Print the program version and licensing information.

--help
    Print a usage message summarizing the most useful command-line options.

--server
    Run in server mode and wait for commands on the stdin. The default mode is to create a socket and listen for commands there. This is only used for testing.

--daemon
    Run in background daemon mode and listen for commands on a socket. This is the way keyboxd is started on demand by the other GnuPG components. To force starting keyboxd it is in general best to use gpgconf --launch keyboxd.

--supervised
    Run in the foreground, sending logs to stderr, and listening on file descriptor 3, which must already be bound to a listening socket. This is useful when running under systemd or other similar process supervision schemes. This option is not supported on Windows.

OPTIONS
Note that all long options with the exception of --options and --homedir may also be given in the configuration file after stripping off the two leading dashes.

--options file
    Reads configuration from file instead of from the default per-user configuration file. The default configuration file is named ‘keyboxd.conf’ and expected in the home directory.

--homedir dir
    Set the name of the home directory to dir. This option is only effective when used on the command line. The default is the directory named ‘.gnupg’ directly below the home directory of the user unless the environment variable GNUPGHOME has been set in which case its value will be used. Many kinds of data are stored within this directory.

-v

--verbose
    Outputs additional information while running. You can increase the verbosity by giving several verbose commands to keyboxd, such as -vv.

--log-file file
    Append all logging output to file. This is very helpful in seeing what the agent actually does. Use ‘socket://’ to log to socket.

--debug-level level
    Select the debug level for investigating problems. level may be a numeric value or by a keyword:

    none
        No debugging at all. A value of less than 1 may be used instead of the keyword.

    basic
        Some basic debug messages. A value between 1 and 2 may be used instead of the keyword.

    advanced
        More verbose debug messages. A value between 3 and 5 may be used instead of the keyword.

    expert
        Even more detailed messages. A value between 6 and 8 may be used instead of the keyword.

    guru
        All of the debug messages you can get. A value greater than 8 may be used instead of the keyword. The creation of hash tracing files is only enabled if the keyword is used.
How these messages are mapped to the actual debugging flags is not specified and may change with newer releases of this program. They are however carefully selected to best aid in debugging.

--debug flags
    Set debugging flags. This option is only useful for debugging and its behavior may change with a new release. All flags are or-ed and may be given in C syntax (e.g. 0x0042) or as a comma separated list of flag names. To get a list of all supported flags the single word "help" can be used.

--debug-all
    Same as --debug=0xffffffff

FILES
Keyboxd uses a configuration file which controls the operation of keyboxd. By default they may all be found in the current home directory (see: [option --homedir]).

keyboxd.conf
    This is the standard configuration file read by keyboxd on startup. It may contain any valid long option; the leading two dashes may not be entered and the option may not be abbreviated. This file is also read after a SIGHUP however not all options will actually have an effect. This default name may be changed on the command line (see: [option --options]). You should backup this file.

pubring.db
    This file is a database in SQLite format, for public key material. You should backup this file.

BUGS
Please report bugs to <https://dev.gnupg.org>.

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. This manpage was generated by NIIBE Yutaka for the Debian distribution (but may be used by others), using man page of dirmngr.